libnvme(2)

NAME
enum nvme_id_ctrl_bpcap - Boot Partition Capabilities

SYNOPSIS
enum nvme_id_ctrl_bpcap {
NVME_CTRL_BACAP_RPMBBPWPS_SHIFT ,
NVME_CTRL_BACAP_SFBPWPS_SHIFT ,
NVME_CTRL_BACAP_RPMBBPWPS_MASK ,
NVME_CTRL_BACAP_SFBPWPS_MASK ,
NVME_CTRL_BACAP_RPMBBPWPS_NOT_SPECIFIED ,
NVME_CTRL_BACAP_RPMBBPWPS_NOT_SUPPORTED ,
NVME_CTRL_BACAP_RPMBBPWPS_SUPPORTED

};

Constants

NVME_CTRL_BACAP_RPMBBPWPS_SHIFT
    Shift amount to get the RPMB Boot Partition Write Protection Support from the struct nvme_id_ctrl.bpcap field.

NVME_CTRL_BACAP_SFBPWPS_SHIFT
    Shift amount to get the Set Features Boot Partition Write Protection Support from the struct nvme_id_ctrl.bpcap field.

NVME_CTRL_BACAP_RPMBBPWPS_MASK
    Mask to get the RPMB Boot Partition Write Protection Support from the struct nvme_id_ctrl.bpcap field.

NVME_CTRL_BACAP_SFBPWPS_MASK
    Mask to get the Set Features Boot Partition Write Protection Support from the struct nvme_id_ctrl.bpcap field.

NVME_CTRL_BACAP_RPMBBPWPS_NOT_SPECIFIED
    Support for RPMB Boot Partition Write Protection is not specified.

NVME_CTRL_BACAP_RPMBBPWPS_NOT_SUPPORTED
    RPMB Boot Partition Write Protection is not supported by this controller.

NVME_CTRL_BACAP_RPMBBPWPS_SUPPORTED
    RPMB Boot Partition Write Protection is supported by this controller.